plugins {
    id 'com.android.application'
}

android {
    compileSdk 31
    defaultConfig {
        applicationId "com.example.jhpapp"
        minSdk 22
        targetSdk 31
        versionCode 4
        versionName "2.8"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        ndk {  abiFilters "armeabi","armeabi-v7a","x86"}
    }

    lintOptions {
        checkReleaseBuilds false
        abortOnError false
    }

    useLibrary 'org.apache.http.legacy'

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])

    implementation 'com.google.android.exoplayer:exoplayer:2.15.0'
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'com.google.android.material:material:1.3.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation files('src\\main\\jniLibs\\jna.jar')
    implementation files('src\\main\\jniLibs\\jna-platform.jar')
    implementation 'pl.droidsonroids.gif:android-gif-drawable:1.2.7'
    testImplementation 'junit:junit:4.+'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
}